/*
EXPECTED OUTPUT:
constant value, par 1 = 12345, par2 = test value, par3 = 10.
TEST STATIC METHOD!
*/

using System;
using System.Dom;

namespace TestNamespace
{
	static class TestClass
	{
		public static uint TestStaticUninitializedUintAttribute;
		
		public static int TestStaticInitializedIntAttribute = 12345;
		
		public static string TestStaticInitializedStringAttribute = "test value";
		
		public const string TestConstantString = "constant value";
		
		public const char TestConstantCharacterNewLine = '\n';
		
		public static void Main(string[] args)
		{
			StaticTestMethod(TestStaticInitializedIntAttribute, TestStaticInitializedStringAttribute);
			TestNamespace.TestClass.StaticTestMethodNoParams();
		}
		
		public static void StaticTestMethodNoParams()
		{
			Document.WriteLine("TEST STATIC METHOD!");
		}
		
		public static int StaticTestMethod(int parameter1, string parameter2, float parameter3 = 10f)
		{
			Document.WriteLine(TestConstantString+", par 1 = "+parameter1+", par2 = "+parameter2+", par3 = "+parameter3+".");
		}
	}
}

