/*
EXPECTED OUTPUT:
Should print "12": 12
Should print "null": null
Should print "undefined": undefined
Should print "Hello, World!": Hello, World!
Should print "null": null
*/

using System;
using System.Dom;

namespace TestNamespace
{
	static class TestClass
	{
		public static void Main(string[] args)
		{
			int? nullableInt = 12;
			Document.WriteLine("Should print \"12\": "+nullableInt);
			nullableInt = null;
			Document.WriteLine("Should print \"null\": "+nullableInt);
			
			Nullable<string> nullableString;
			Document.WriteLine("Should print \"undefined\": "+nullableString);
			nullableString = "Hello, World!";
			Document.WriteLine("Should print \"Hello, World!\": "+nullableString);
			nullableString = null;
			Document.WriteLine("Should print \"null\": "+nullableString);
		}
	}
}

