/*
EXPECTED OUTPUT:
First person: John Smith, age: 35
Second person: Paul Adams, age: 74
*/

using System;
using System.Dom;

namespace TestNamespace
{
	public class Person
	{
		public string Name;
		public int Age;
		
		public Person(string name) {
			Name = name;
		}
		
		public Person(string name, int age) : this(name) {
			Age = age;
		}
		
		public string NameAndAge() {
			return Name + ", age: " + Age;
		}
	}

	static class TestClass
	{
		public static int Main(string[] args)
		{
			Person person1 = new Person("John Smith");
			person1.Age = 35;
			
			Person person2 = new Person("Paul Adams", 74);
			
			Document.WriteLine("First person: "+person1.NameAndAge());
			Document.WriteLine("Second person: "+person2.NameAndAge());
		}
	}
}

