using System;

namespace System.Attributes
{
	/// <summary>
	/// Gives special names when converting to Javascript code, useful when porting Javascript code to C#.
	/// </summary>
	[AttributeUsage(AttributeTargets.Method, AllowMultiple = false, Inherited = true)]
	public class JavascriptNameAttribute : Attribute
	{
		/// <summary>
		/// Instantiate a custom Javascript name attribute.
		/// </summary>
		/// <param name="name">The Javascript name.</param>
		public JavascriptNameAttribute(string name)
		{
		}
	}
}