@echo off
title C# to Javascript Compiler

setlocal enabledelayedexpansion enableextensions
set LIST=
for %%x in (..\classes\*.cs) do set LIST=!LIST! "%%x"

:: MINI=.mini.	To generate pages for minified code.
:: MINI=.		To generate pages for uncompressed code.
if "%1"=="-mini" (
	set MINI=.mini.
) else (
	set MINI=.
)

(
	echo ^<!DOCTYPE html^>
	echo ^<html^>
	echo 	^<head^>
	echo 		^<meta http-equiv=^"Content-Type^" content=^"text/html;charset=utf-8^"^>
	echo 		^<title^>C# to Javascript tests^</title^>
	echo 	^</head^>
	echo 	^<body^>
)>index.html

for %%1 in (*.cs) do (
	echo [ %%~nx1 ]
	
	if not exist "%%~n1%MINI%js" (
		if not exist "%%~n1.js" (
			echo Compiling...
			..\cs2js%LIST% "%%~n1.cs" "%%~n1.js"
		)
		
		if not "%MINI%"=="." (
			if not exist "%%~n1.mini.js" (
				echo Compressing... && java -jar ..\tools\compiler.jar --compilation_level ADVANCED_OPTIMIZATIONS --js "%%~dpn1.js" --js_output_file "%%~dpn1.mini.js"
			)
		)
	)
	
	echo Generating HTML page...
	(
		echo ^<!DOCTYPE html^>
		echo ^<html^>
		echo 	^<head^>
		echo 		^<meta http-equiv=^"Content-Type^" content=^"text/html;charset=utf-8^"^>
		echo 		^<script type=^"text/javascript^" lang=^"Javascript^" src=^"%%~n1%MINI%js^"^>^</script^>
		echo 	^</head^>
		echo 	^<body^>
		echo 	^</body^>
		echo ^</html^>
		echo.
	)>"%%~dpn1.html"
	echo ^<a href=^"%%~n1.html^"^>%%~n1^</a^>^<br^>>>index.html
	echo.
)

(
	echo 	^</body^>
	echo ^</html^>
)>>index.html
echo.

pause