/*
EXPECTED OUTPUT:
Delegate called!
*/
using System;
using System.Dom;

namespace TestNamespace
{
	static class TestClass
	{
		public delegate void MyDelegate(string parameter);
	
		public static MyDelegate MyFunctionDelegate;
	
		public static void Main(string[] args)
		{
			MyFunctionDelegate = MyFunction;
			
			MyFunctionDelegate("Delegate called!");
		}
		
		public static void MyFunction(string parameter) {
			Document.WriteLine(parameter);
		}
	}
}

