/*
INPUT:
10

EXPECTED OUTPUT:
Primes from 1 to 10...
Prime numbers: 2 3 5 7 
*/

using System;
using System.Dom;

namespace TestNamespace
{
	static class TestClass
	{
		private static int numbers = -1;
	
		public static int Numbers {
			get {
				if(numbers < 0)
					numbers = int.Parse(Console.ReadLine("How many numbers?"));
					
				return numbers;
			}
			
			set {
				numbers = value;
			}
		}
		
		public static void Main(string[] args)
		{
			if(Numbers > 100)
				Numbers = 100;
			
			Document.WriteLine("Primes from 1 to "+Numbers+"...");
			
			Document.Write("Prime numbers: ");
		
			for(int i=2; i<=Numbers; i++) {
				bool prime = true;
				
				for(int j=2; j<i; j++) {
					if(i%j == 0) {
						prime = false;
						break;
					}
				}
				
				if(prime)
					Document.Write(i+" ");
			}
		}
	}
}
